## org.hibernate.jdbc
Interface ReturningWork<T>

All Known Implementing Classes:
  AbstractReturningWork

    public interface ReturningWork<T>

A discrete piece of work following the lines of `Work` but returning a result.

Method Summary
`T` `execute(Connection connection)` Execute the discrete work encapsulated by this work instance using the supplied connection.

Method Detail

### execute

    T execute(Connection connection)
              throws SQLException

  Execute the discrete work encapsulated by this work instance using the supplied connection.

  Parameters:
    `connection` - The connection on which to perform the work.
  Returns:
    The work result
  Throws:
    `SQLException` - Thrown during execution of the underlying JDBC interaction.
    `HibernateException` - Generally indicates a wrapped SQLException.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.